import { get, del, post, put } from "./api";
const baseUrl = process.env.API_URL + "/courses/";

export function getCourses() {
  return get(baseUrl);
}

export function saveCourse(course) {
  const url = baseUrl + (course.id || "");
  return course.id ? put(url, course) : post(url, course); // POST for create, PUT to update when id already exists.
}

export function deleteCourse(courseId) {
  return del(baseUrl + courseId);
}
